"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Button_1 = __importDefault(require("../Button"));
const Colors_1 = __importDefault(require("../Colors"));
const Toast_1 = __importDefault(require("../Toast"));
const Fetch_1 = __importDefault(require("../Fetch"));
const style_1 = __importDefault(require("./style"));
const PhoneCode = ({ style = {}, phone, placeholder = '请输入验证码', onChange, }) => {
    const _onCode = (res) => {
        onChange === null || onChange === void 0 ? void 0 : onChange(res);
    };
    const _getCode = () => __awaiter(void 0, void 0, void 0, function* () {
        if (!phone) {
            Toast_1.default.show('请输入手机号');
            return;
        }
        ;
        if (!/^1\d{10}$/ig.test(phone)) {
            Toast_1.default.show('请输入正确的手机号');
            return;
        }
        const res = yield (0, Fetch_1.default)('getCode');
    });
    return (react_1.default.createElement(react_native_1.View, { style: [style_1.default.container, style] },
        react_1.default.createElement(react_native_1.TextInput, { style: style_1.default.input, onChangeText: _onCode, autoCapitalize: 'none', autoCorrect: false, clearButtonMode: 'while-editing', placeholder: placeholder, placeholderTextColor: '#bbb' }),
        react_1.default.createElement(react_native_1.View, { style: style_1.default.line }),
        react_1.default.createElement(Button_1.default, { text: '\u83B7\u53D6\u9A8C\u8BC1\u7801', styleContainer: style_1.default.btnCode, styleText: { color: Colors_1.default.MainColor }, onPress: _getCode })));
};
exports.default = PhoneCode;
